> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Model



## OpenAPI

````yaml put /v1/model_policy/{model_policy_id}
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/model_policy/{model_policy_id}:
    put:
      tags:
        - Model-Policy
      summary: Update Model
      operationId: Update_Model_v1_model_policy__model_policy_id__put
      parameters:
        - name: model_policy_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
            title: Model Policy Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchModelConfig'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PatchModelConfig:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        policy:
          anyOf:
            - $ref: '#/components/schemas/FullModelConfig-Input'
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: PatchModelConfig
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FullModelConfig-Input:
      properties:
        strategy:
          $ref: '#/components/schemas/StrategyConfig'
        cache:
          anyOf:
            - $ref: '#/components/schemas/CacheConfig'
            - type: 'null'
        retry:
          anyOf:
            - $ref: '#/components/schemas/RetryConfig'
            - type: 'null'
        targets:
          items:
            anyOf:
              - $ref: '#/components/schemas/TargetConfig'
              - $ref: '#/components/schemas/NestedStrategy-Input'
          type: array
          title: Targets
      type: object
      required:
        - strategy
        - targets
      title: FullModelConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StrategyConfig:
      properties:
        mode:
          type: string
          enum:
            - loadbalance
            - fallback
            - single
          title: Mode
        on_status_codes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: On Status Codes
      type: object
      required:
        - mode
      title: StrategyConfig
    CacheConfig:
      properties:
        mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Mode
      type: object
      title: CacheConfig
    RetryConfig:
      properties:
        attempts:
          type: integer
          title: Attempts
        on_status_codes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: On Status Codes
      type: object
      required:
        - attempts
      title: RetryConfig
    TargetConfig:
      properties:
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
      additionalProperties: true
      type: object
      required:
        - model_name
      title: TargetConfig
    NestedStrategy-Input:
      properties:
        strategy:
          $ref: '#/components/schemas/StrategyConfig'
        targets:
          items:
            anyOf:
              - $ref: '#/components/schemas/TargetConfig'
              - $ref: '#/components/schemas/NestedStrategy-Input'
          type: array
          title: Targets
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
      additionalProperties: true
      type: object
      required:
        - strategy
        - targets
      title: NestedStrategy
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````